<div>
    <h2>
        <span>Monitoring BBK</span>
    </h2>
    <div>
    </div>
    <br>
    <jhi-alert></jhi-alert>
    <p-accordion>
        <p-accordionTab header="Filter" [selected]="false">
            <div class="row">
                <div class="ui-g-12">
                    <div class="col-md-6">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_PIC">Tanggal</label>
                            </div>
                            <div class="ui-g-4">
                                <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body"></p-calendar>
                            </div>
                            <div class="ui-g-4">
                                <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body"></p-calendar>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            </div>
                            <div class="ui-g-8">
                                <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                    (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                    [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                    (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1></p-autoComplete>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_nmspl">PIC</label>
                            </div>
                            <div class="ui-g-8">
                                <select id="jenis1" class="form-control" name="pic" [(ngModel)]="pic">
                                    <option [ngValue]="divitionOption.value"
                                        *ngFor="let divitionOption of picJenis">
                                        {{divitionOption.label}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_nmspl">Status Klaim</label>
                            </div>
                            <div class="ui-g-8">
                                <select id="jenis1" class="form-control" name="jenis" [(ngModel)]="jenis">
                                    <option [ngValue]="divitionOption.value"
                                        *ngFor="let divitionOption of jenisStatus">
                                        {{divitionOption.label}}</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <button pButton type="submit" label="Filter" icon="fa-filter"
                                class="ui-button-primary flat-label-button" (click)="filter()">
                            </button>
                            <button pButton label="Reset Filter" icon="fa-refresh"
                                class="ui-button-primary flat-label-button" (click)="reset()">
                            </button>
                            <button pButton label="Export Excel" icon="fa-download"
                                class="ui-button-primary flat-label-button" (click)="download()">
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </p-accordionTab>
    </p-accordion>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari No Retur, No BBK, No LHP atau Kode atau Nama Barang atau Nama Supplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="returs" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idretur" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
            <p-header>
            </p-header>
            <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
            </p-column> -->
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Document">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noretur}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtcreated | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Jenis Klaim">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.jenisklaimdesc}}
                </ng-template>
            </p-column>
            <p-column header="Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.suppcode}} - {{rowData.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="PIC">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.returStatus}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit" (click)="lihatPO(rowData)" icon="fa-eye" pTooltip="Detail Data"
                        class="flat-button">
                    </button>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
</div>
<div style="margin-top: 10px;"></div>
<p-dialog header="Lihat Detail Data" [(visible)]="modalLihatPO" modal="true" [width]="1200">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="purchaseOrders1" [responsive]="true" dataKey="idreturitem" expandableRows="true">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productcode}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productname}}
                    </ng-template>
                </p-column>
                <p-column header="Qty TLU">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_tlu | number: '1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.uom}}
                    </ng-template>
                </p-column>
                <p-column header="No LPM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nolhp}}
                    </ng-template>
                </p-column>
                <p-column header="No. BBK">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_bbk}}
                    </ng-template>
                </p-column>
                <p-column header="No. BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_bbm}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl. BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="No. Surat Jalan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_sj}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl. Surat Jalan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_sj | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Qty BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qtyBBM | number: '1.0-2'}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>
<p-confirmDialog></p-confirmDialog>